Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class QuorumResponseHandler<T>

    java.lang.Object
      org.apache.cassandra.service.QuorumResponseHandler<T>

All Implemented Interfaces:
  IAsyncCallback

    public class QuorumResponseHandler<T>

extends java.lang.Object
implements IAsyncCallback

Field Summary
`protected SimpleCondition` | `condition`
`protected static org.apache.log4j.Logger` | `logger`
`protected java.util.Collection<Message>` | `responses`

Constructor Summary
`QuorumResponseHandler(int responseCount, IResponseResolver<T> responseResolver)`

Method Summary
`T` | `get()`
`void` | `response(Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.apache.log4j.Logger logger

### condition

    protected final SimpleCondition condition

### responses

    protected final java.util.Collection<Message> responses

Constructor Detail

### QuorumResponseHandler

    public QuorumResponseHandler(int responseCount,
                                 IResponseResolver<T> responseResolver)

Method Detail

### get

    public T get()
          throws java.util.concurrent.TimeoutException,
                 DigestMismatchException,
                 java.io.IOException

  Throws:
    `java.util.concurrent.TimeoutException`
    `DigestMismatchException`
    `java.io.IOException`

### response

    public void response(Message message)

  Specified by:
    `response` in interface `IAsyncCallback`
  Parameters:
    `message` - response received.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation